Subject: bug#21998: Run 'make change-history' on release branch

From: Ingo Lohmar <[email-masked]>
Date: Sun, 06 Mar 2016 22:25:19 +0100

On Sun, Mar 06 2016 13:07 (-0800), John Wiegley wrote:
>
> I have always wanted to drop the ChangeLogs, so if the other developers agree,
> I'm all for it. Keeping ChangeLog style in the commit entry is not terribly
> useful either, since the diff output of log -p lets you know which function or
> variable is being modified. I've never missed not having that ChangeLog data
> in other projects, of any size. But that's up to the other developers and what
> makes their lives easier.

+1

I am but a lowly one- or two-time committer to Emacs' core, but I
definitely concur that the Changelogs are one extra entry barrier to
contribution, especially for starters or not-so-frequent contributors.

And incidentally, I messed up the Changelog not too long ago and others
patiently helped me out.